package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import java.util.Date;

public class StudentBuyPracticeDto {
    //学员编号
    private Long studentId;

    //学员名称
    private String studentName;

    //老师名
    private String teacherName;

    //老师名
    private String courseGroupTeacherName;

    //分部
    private String organName;

    //手机
    private String phone;

    //是否购买
    private YesOrNoEnum buyPractice;

    //结束日期
    private Date lastClassDate;

    //购买日期
    private Date firstBuyTime;

    //时间差
    private int intervalDay;

    public String getCourseGroupTeacherName() {
        return courseGroupTeacherName;
    }

    public void setCourseGroupTeacherName(String courseGroupTeacherName) {
        this.courseGroupTeacherName = courseGroupTeacherName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public YesOrNoEnum getBuyPractice() {
        return buyPractice;
    }

    public void setBuyPractice(YesOrNoEnum buyPractice) {
        this.buyPractice = buyPractice;
    }

    public Date getLastClassDate() {
        return lastClassDate;
    }

    public void setLastClassDate(Date lastClassDate) {
        this.lastClassDate = lastClassDate;
    }

    public Date getFirstBuyTime() {
        return firstBuyTime;
    }

    public void setFirstBuyTime(Date firstBuyTime) {
        this.firstBuyTime = firstBuyTime;
    }

    public int getIntervalDay() {
        return intervalDay;
    }

    public void setIntervalDay(int intervalDay) {
        this.intervalDay = intervalDay;
    }
}
